Quick note on speculative execution security vulnerabilities

Hi all – as you may be aware, a major security vulnerability affecting most computer CPUs made the news today (https://www.wired.com/story/critical-intel-flaw-breaks-basic-security-for-most-computers/).

We’ve ensured that all Bubble servers are patched to the latest version of their operating systems per AWS’s recommendations (https://aws.amazon.com/security/security-bulletins/AWS-2018-013/), and are monitoring the situation to see if there’s any further action we need to take.

We recommend keeping an eye out for the latest security updates from your computer’s and phone’s operating system and web browsers. (For instance, Google Chrome’s response is here: https://security.googleblog.com/2018/01/todays-cpu-vulnerability-what-you-need.html)

11 Likes